Configuration
GET
/api/v1/channel_data Returns a paged list of the meter configuration.
Query parameters
archive_type string required Archive type. For configuration it is settings.
equipment_id integer Metering device identifier for which data is being uploaded.
page integer Page number.
Response fields
| Attribute | Description |
|---|---|
channel_name | Configuration name |
channel_data_value | Configuration value |
unit_name | Unit of measurement |
total_pages | Total number of pages in the returned set |
current_page | Current page |
next_page | Next page available for downloading, null if the current page is the last one |
Request
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: user@local.net" \
--header "Content-Type: application/json" \
--request GET \
"https://uztgs.uz/api/v1/channel_data?archive_type=settings&equipment_id=25&page=1"js
const res = await fetch(
'https://uztgs.uz/api/v1/channel_data?archive_type=settings&equipment_id=25&page=1',
{
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'user@local.net',
'Content-Type': 'application/json',
},
},
);
const data = await res.json();python
import requests
res = requests.get(
"https://uztgs.uz/api/v1/channel_data",
params={"archive_type": "settings", "equipment_id": 25, "page": 1},
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "user@local.net",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://uztgs.uz/api/v1/channel_data?archive_type=settings&equipment_id=25&page=1", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "user@local.net")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://uztgs.uz/api/v1/channel_data?archive_type=settings&equipment_id=25&page=1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: user@local.net",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Response
json
{
"data":[
{
"channel_name":"Presence of ambient temperature sensor
(1 – sensor installed, 0 – sensor absent)",
"channel_data_value":"0",
"unit_name":null
},
],
"total_pages":1,
"current_page":1,
"next_page":null
} Последнее обновление
Эта страница была полезной?
Спасибо за ваш отзыв!
Channels
Назад
Data upload procedure
Далее